Bug 998322 - javapackages-tools: add_pom_dep_mgmt injects incorrect xml
javapackages-tools: add_pom_dep_mgmt injects incorrect xml
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 992306
  Show dependency treegraph
 
Reported: 2013-08-18 23:38 EDT by Matt Spaulding
Modified: 2013-10-10 10:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-10 10:52:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against upstream repository to fix add_pom_dep_mgmt macro (620 bytes, patch)
2013-08-18 23:38 EDT, Matt Spaulding
no flags Details | Diff

  None (edit)
Description Matt Spaulding 2013-08-18 23:38:52 EDT
Created attachment 787875 [details]
Patch against upstream repository to fix add_pom_dep_mgmt macro

Description of problem:
The add_pom_dep_mgmt macro does not inject the correct xml into the pom file, since it does not include "dependencies" in the xpath when doing the injection.

Version-Release number of selected component (if applicable):
2.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Use the add_pom_dep_mgmt macro in an RPM spec file.

Actual results:
RPM build will fail since the pom file is incorrect. The "dependency" node is injected right after the "dependencyManagement" node in the pom file.

Expected results:
The dependency gets injected inside the "dependencies" node which is under the "dependencyManagement" node.
Comment 1 Stanislav Ochotnicky 2013-08-19 04:19:21 EDT
Thanks for the patch,  this was indeed a bug. Commited upstream. It might take a while before new realease, but you can workaround this bug by using "pom_xpath_inject" if really needed.

(un?)fortunately add_pom_dep_mgmnt is needed very rarely so it wasn't very well tested.
Comment 2 Fedora End Of Life 2013-09-16 12:56:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Mikolaj Izdebski 2013-10-08 14:03:24 EDT
Fixed in javapackages-tools-3.3.1-1
Comment 4 Mikolaj Izdebski 2013-10-10 10:52:02 EDT
I believe that this bug is fixed in javapackages-tools-3.3.1-1,
which is available in Fedora 20, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=469209

Note You need to log in before you can comment on or make changes to this bug.